Skip Menu |
 

This queue is for tickets about the ExtUtils-PkgConfig CPAN distribution.

Report information
The Basics
Id: 120819
Status: resolved
Priority: 0/
Queue: ExtUtils-PkgConfig

People
Owner: Nobody in particular
Requestors: jkeenan [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.15
Fixed in: (no value)

Attachments


Subject: Tests fail with Perl 5 blead due to no-dot-by-default-in-@INC
Download (untitled) / with headers
text/plain 2.5k
In Perl 5.26.0, '.' will no longer be found by default in @INC. Today I attempted to install ExtUtils-PkgConfig against Perl 5 blead via 'cpanm'. There were failures in two test files: ##### $ /home/jkeenan/testing/blead/bin/perl -I /home/jkeenan/testing/blead/lib Makefile.PL Checking if your kit is complete... Looks good Generating a Unix-style Makefile Writing Makefile for ExtUtils::PkgConfig Writing MYMETA.yml and MYMETA.json [perl-ExtUtils-PkgConfig] 812 $ make cp lib/ExtUtils/PkgConfig.pm blib/lib/ExtUtils/PkgConfig.pm [perl-ExtUtils-PkgConfig] 813 $ make test PERL_DL_NONLAZY=1 "/home/jkeenan/testing/blead/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t t/1.t .. 1/7 Can't locate t/swallow_stderr.inc in @INC (@INC contains: /home/jkeenan/gitwork/zzzothers/perl-ExtUtils-PkgConfig/blib/lib /home/jkeenan/gitwork/zzzothers/perl-ExtUtils-PkgConfig/blib/arch /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.11/x86_64-linux /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.11 /home/jkeenan/testing/blead/lib/perl5/5.25.11/x86_64-linux /home/jkeenan/testing/blead/lib/perl5/5.25.11) at t/1.t line 13. # Looks like your test exited with 2 just after 1. t/1.t .. Dubious, test returned 2 (wstat 512, 0x200) Failed 6/7 subtests t/2.t .. ok t/3.t .. ok t/4.t .. Can't locate t/swallow_stderr.inc in @INC (@INC contains: /home/jkeenan/gitwork/zzzothers/perl-ExtUtils-PkgConfig/blib/lib /home/jkeenan/gitwork/zzzothers/perl-ExtUtils-PkgConfig/blib/arch /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.11/x86_64-linux /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.11 /home/jkeenan/testing/blead/lib/perl5/5.25.11/x86_64-linux /home/jkeenan/testing/blead/lib/perl5/5.25.11) at t/4.t line 11. # Looks like your test exited with 2 before it could output anything. t/4.t .. Dubious, test returned 2 (wstat 512, 0x200) Failed 24/24 subtests Test Summary Report ------------------- t/1.t (Wstat: 512 Tests: 1 Failed: 0) Non-zero exit status: 2 Parse errors: Bad plan. You planned 7 tests but ran 1. t/4.t (Wstat: 512 Tests: 0 Failed: 0) Non-zero exit status: 2 Parse errors: Bad plan. You planned 24 tests but ran 0. Files=4, Tests=18, 0 wallclock secs ( 0.03 usr 0.00 sys + 0.14 cusr 0.00 csys = 0.17 CPU) Result: FAIL Failed 2/4 test programs. 0/18 subtests failed. Makefile:856: recipe for target 'test_dynamic' failed make: *** [test_dynamic] Error 2 ##### A patch will be forthcoming. Thank you very much. Jim Keenan
On Fri Mar 31 21:09:32 2017, JKEENAN wrote: Show quoted text
> In Perl 5.26.0, '.' will no longer be found by default in @INC. Today > I attempted to install ExtUtils-PkgConfig against Perl 5 blead via > 'cpanm'. There were failures in two test files: > > ##### > $ /home/jkeenan/testing/blead/bin/perl -I > /home/jkeenan/testing/blead/lib Makefile.PL > Checking if your kit is complete... > Looks good > Generating a Unix-style Makefile > Writing Makefile for ExtUtils::PkgConfig > Writing MYMETA.yml and MYMETA.json > [perl-ExtUtils-PkgConfig] 812 $ make > cp lib/ExtUtils/PkgConfig.pm blib/lib/ExtUtils/PkgConfig.pm > [perl-ExtUtils-PkgConfig] 813 $ make test > PERL_DL_NONLAZY=1 "/home/jkeenan/testing/blead/bin/perl" "- > MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef > *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" > t/*.t > t/1.t .. 1/7 Can't locate t/swallow_stderr.inc in @INC (@INC contains: > /home/jkeenan/gitwork/zzzothers/perl-ExtUtils-PkgConfig/blib/lib > /home/jkeenan/gitwork/zzzothers/perl-ExtUtils-PkgConfig/blib/arch > /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.11/x86_64-linux > /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.11 > /home/jkeenan/testing/blead/lib/perl5/5.25.11/x86_64-linux > /home/jkeenan/testing/blead/lib/perl5/5.25.11) at t/1.t line 13. > # Looks like your test exited with 2 just after 1. > t/1.t .. Dubious, test returned 2 (wstat 512, 0x200) > Failed 6/7 subtests > t/2.t .. ok > t/3.t .. ok > t/4.t .. Can't locate t/swallow_stderr.inc in @INC (@INC contains: > /home/jkeenan/gitwork/zzzothers/perl-ExtUtils-PkgConfig/blib/lib > /home/jkeenan/gitwork/zzzothers/perl-ExtUtils-PkgConfig/blib/arch > /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.11/x86_64-linux > /home/jkeenan/testing/blead/lib/perl5/site_perl/5.25.11 > /home/jkeenan/testing/blead/lib/perl5/5.25.11/x86_64-linux > /home/jkeenan/testing/blead/lib/perl5/5.25.11) at t/4.t line 11. > # Looks like your test exited with 2 before it could output anything. > t/4.t .. Dubious, test returned 2 (wstat 512, 0x200) > Failed 24/24 subtests > > Test Summary Report > ------------------- > t/1.t (Wstat: 512 Tests: 1 Failed: 0) > Non-zero exit status: 2 > Parse errors: Bad plan. You planned 7 tests but ran 1. > t/4.t (Wstat: 512 Tests: 0 Failed: 0) > Non-zero exit status: 2 > Parse errors: Bad plan. You planned 24 tests but ran 0. > Files=4, Tests=18, 0 wallclock secs ( 0.03 usr 0.00 sys + 0.14 cusr > 0.00 csys = 0.17 CPU) > Result: FAIL > Failed 2/4 test programs. 0/18 subtests failed. > Makefile:856: recipe for target 'test_dynamic' failed > make: *** [test_dynamic] Error 2 > ##### > > A patch will be forthcoming. > > Thank you very much. > Jim Keenan
Please review patch attached. There may be other CPAN libraries which have ExtUtils-PkgConfig as a reverse dependency. CPAN testers will be unable to evaluate the 5.26.0-readiness of those libraries until we have a corrected version of EU-PC available on CPAN. So we will appreciate your evaluation and application of this patch and release to CPAN at your earliest opportunity. Thank you very much. Jim Keenan
Subject: 0001-perl-5.26.0-compatibility.patch
From d0607dd526d64cd613548cd32f1b822d5f8f6f5f Mon Sep 17 00:00:00 2001 From: James E Keenan <jkeenan@cpan.org> Date: Fri, 31 Mar 2017 21:05:24 -0400 Subject: [PATCH] perl-5.26.0 compatibility In Perl 5.26.0, '.' will no longer be found by default in @INC. This patch adjusts 'require' statements in two test files to correctly locate file ./t/swallow_stderr.inc. For: https://rt.cpan.org/Ticket/Display.html?id=120819 --- t/1.t | 2 +- t/4.t | 2 +- 2 files changed, 2 insertions(+), 2 deletions(-) diff --git a/t/1.t b/t/1.t index 5306d37..9d15677 100644 --- a/t/1.t +++ b/t/1.t @@ -10,7 +10,7 @@ use warnings; use Test::More tests => 7; BEGIN { use_ok('ExtUtils::PkgConfig') }; -require 't/swallow_stderr.inc'; +require './t/swallow_stderr.inc'; ######################### diff --git a/t/4.t b/t/4.t index a729b5c..11c5145 100644 --- a/t/4.t +++ b/t/4.t @@ -8,7 +8,7 @@ use warnings; use Test::More tests => 24; use ExtUtils::PkgConfig; -require 't/swallow_stderr.inc'; +require './t/swallow_stderr.inc'; $ENV{PKG_CONFIG_PATH} = './t/'; -- 2.7.4
Thanks for the heads-up. Patch committed.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.